ForwardingActionForward (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ForwardingActionForward,ForwardingActionForward class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ForwardingActionForward

    java.lang.Object
      |
      +--org.apache.struts.config.ForwardConfig
            |
            +--org.apache.struts.action.ActionForward
                  |
                  +--org.apache.struts.action.ForwardingActionForward

All Implemented Interfaces:
  java.io.Serializable

public class ForwardingActionForward
extends ActionForward

A subclass of ActionForward that defaults the `redirect` attribute to `false`.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ForwardConfig
`configured, contextRelative, name, path, redirect`

Constructor Summary
`ForwardingActionForward()` Construct a new instance with default values.
`ForwardingActionForward(java.lang.String path)` Construct a new instance with the specified path.

Methods inherited from class org.apache.struts.config.ForwardConfig
`freeze, getContextRelative, getName, getPath, getRedirect, setContextRelative, setName, setPath, setRedirect, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardingActionForward

    public ForwardingActionForward()

  Construct a new instance with default values.

### ForwardingActionForward

    public ForwardingActionForward(java.lang.String path)

  Construct a new instance with the specified path.

Parameters:
  `path` - Path for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation